<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");

$action = $_GET['action'];

switch ($action){ 
	case 'reg':
        $serial = $_GET['iserial'];
        
        if(!preg_match("/^[a-fA-F0-9]*$/i", $serial)) {
            echo "Serial không hợp lệ";
        }
        else if(strlen($serial) > 8) {
            echo "Serial chỉ tối đa 8 ký tự";
        }
        else {
            $getcontent_url = $server_url . "/event_epitem.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'action'    =>  'regnew_item',
                'serial'    =>  $serial,
                
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
        
        	if ( empty($reponse) ) $error_module = "Server bảo trì.";
        	elseif($reponse == "login_other") {
        		$error_module = "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
        		session_destroy();
        	}
        	else {
        		echo $reponse;
        	}
        }
	break;

	case 'up':
        $serial = $_GET['iserial'];
        
        if(!preg_match("/^[a-fA-F0-9]*$/i", $serial)) {
            echo "Serial không hợp lệ";
        }
        else if(strlen($serial) > 8) {
            echo "Serial chỉ tối đa 8 ký tự";
        }
        else {
            $getcontent_url = $server_url . "/event_epitem.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'action'    =>  'up',
                'serial'    =>  $serial,
                
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
        
        	if ( empty($reponse) ) $error_module = "Server bảo trì.";
        	elseif($reponse == "login_other") {
        		$error_module = "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
        		session_destroy();
        	}
        	else {
        		echo $reponse;
        	}
        }
	break;
}



?>